
QGIS Application - Bug report #17497

Metasearch 'QDialog' object has no attribute 'on_btnConnect_clicked' 

2017-11-20 12:02 PM - James Passmore

Status: Closed

Priority: Normal

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:master Regression?: No

Operating System: Windows Server 2016 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25394

Description

When trying to add a service from MetaSearch in QGIS 2.99 on Windows-64bit get error:

An error has occurred while executing Python code:

AttributeError: 'QDialog' object has no attribute 'on_btnConnect_clicked' 

    Traceback (most recent call last):

      File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\MetaSearch\dialogs\maindialog.py", line 792, in add_to_ows

        getattr(ows_provider, connect)()

    AttributeError: 'QDialog' object has no attribute 'on_btnConnect_clicked'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

    QGIS version: 2.99.0-Master Master, 7cfbb6fb1c

Python Path:

    C:/OSGEO4~1/apps/qgis-dev/./python/plugins\processing

    C:/OSGEO4~1/apps/qgis-dev/./python

    C:/Users/dev_ops/AppData/Roaming/QGIS/QGIS3\profiles\default/python

    C:/Users/dev_ops/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

    C:/OSGEO4~1/apps/qgis-dev/./python/plugins

    C:\OSGeo4W64\bin\python36.zip

    C:\OSGEO4~1\apps\Python36\DLLs

    C:\OSGEO4~1\apps\Python36\lib

    C:\OSGeo4W64\bin

    C:\OSGEO4~1\apps\Python36

    C:\OSGEO4~1\apps\Python36\lib\site-packages

    C:/Users/dev_ops/AppData/Roaming/QGIS/QGIS3\profiles\default/python

Related issues:

Duplicates QGIS Application - Bug report # 17347: MetaSearch: Add WMS/WMTS da... Closed 2017-10-28

History

#1 - 2017-11-20 12:29 PM - Tom Kralidis

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master as per #17347

#2 - 2017-11-20 02:14 PM - Jürgen Fischer

- Duplicates Bug report #17347: MetaSearch: Add WMS/WMTS data button broken added
